Endpoint
Request method:POST
URL parameters
Shell
Body parameters
The post body should contain JSON formatted metrics separated by a newline, or as a full json body.
Example of JSON body
JSON
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST
| Endpoint | Description |
|---|---|
| https://appsignal-endpoint.net/metrics/json | Accepts JSON formatted data |
| Parameter | Type | Description |
|---|---|---|
| api_key | String | Front-end API key, can be found in App settings. |
https://appsignal-endpoint.net/metrics/json?api_key=<api_key>
| Parameter | Type | Description |
|---|---|---|
| name | String | Name of metric, shouldn’t contain spaces or special characters, e.g. only ([a-zA-Z0-9-_]) |
| metricType | String | Metric type, can be one of [gauge, counter, timing, histogram] |
| value | Float | (Float) value |
| tags | Object<String, String> | Object containing tags. Both key and value should be a string, for example: { "hostname": "frontend1" } |
[
{
"name": "traffic_gauge",
"metricType": "gauge",
"value": 19.8,
"tags": { "hostname": "frontend1" }
},
{
"name": "error_counter",
"metricType": "counter",
"value": 10,
"tags": { "hostname": "frontend1", "disk": "vda" }
},
{
"name": "duration_timing",
"metricType": "timing",
"value": 19,
"tags": { "lambda": "login" }
},
{
"name": "duration_timing",
"metricType": "histogram",
"value": 5,
"tags": { "lambda": "login" }
}
]
{"name": "traffic_gauge", "metricType": "gauge", "value": 19.8, "tags": {"hostname": "frontend1"}}\n
{"name": "error_counter", "metricType": "counter", "value": 10, "tags": {"hostname": "frontend1", "disk": "vda"}}\n
{"name": "duration_timing", "metricType": "timing", "value": 19, "tags": {"lambda": "login"}}\n
{"name": "duration_timing", "metricType": "histogram", "value": 5, "tags": {"lambda": "login"}}\n
200 (OK) response is returned when the
body size is within the 200k limit. This doesn’t mean the request is
accepted when received.Was this page helpful?